summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2004-11-07 10:02:27 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:05:36 -0500
commit51353ac5595c916171bbc23481ad7023037faf27 (patch)
tree03b8e93b42e366ba62eeaa88d64f0b118e3cbe22
parent70bb74eefd364908ec1234dd5a3ecf7090f7fad5 (diff)
downloadsamba-51353ac5595c916171bbc23481ad7023037faf27.tar.gz
samba-51353ac5595c916171bbc23481ad7023037faf27.tar.bz2
samba-51353ac5595c916171bbc23481ad7023037faf27.zip
r3592: auto-cleanup the test.$$ log files in these test scripts on control-C
(This used to be commit a07bca1707857a33d50172432336b90e3da8c854)
-rwxr-xr-xsource4/script/tests/test_echo.sh1
-rwxr-xr-xsource4/script/tests/test_posix.sh2
-rwxr-xr-xsource4/script/tests/test_rpc.sh1
3 files changed, 4 insertions, 0 deletions
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh
index 8065483f9a..b778e4216a 100755
--- a/source4/script/tests/test_echo.sh
+++ b/source4/script/tests/test_echo.sh
@@ -14,6 +14,7 @@ domain="$4"
shift 4
testit() {
+ trap "rm -f test.$$" EXIT
cmdline="$*"
if ! $cmdline > test.$$ 2>&1; then
cat test.$$;
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
index 2448408ce5..92ed4fe52a 100755
--- a/source4/script/tests/test_posix.sh
+++ b/source4/script/tests/test_posix.sh
@@ -17,6 +17,8 @@ start="$4"
shift 3
testit() {
+ trap "rm -f test.$$" EXIT
+
cmdline="$*"
if ! $cmdline > test.$$ 2>&1; then
cat test.$$;
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
index 1b466e5f11..bfce65bbb6 100755
--- a/source4/script/tests/test_rpc.sh
+++ b/source4/script/tests/test_rpc.sh
@@ -18,6 +18,7 @@ domain="$4"
shift 4
testit() {
+ trap "rm -f test.$$" EXIT
cmdline="$*"
if ! $cmdline > test.$$ 2>&1; then
cat test.$$;